Package org.apache.solr.common.cloud

# Interface DocCollection.CollectionStateProps

Enclosing class:
  `DocCollection`

public static interface DocCollection.CollectionStateProps
JSON properties related to a collection's state.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CONFIGNAME`
`static final String`
`DOC_ROUTER`
`static final String`
`PER_REPLICA_STATE`
`static final String`
`READ_ONLY`
`static final String`
`REPLICATION_FACTOR`
`static final String`
`SHARDS`

## Field Details

### REPLICATION_FACTOR

static final String REPLICATION_FACTOR

See Also:
  - Constant Field Values

### READ_ONLY

static final String READ_ONLY

See Also:
  - Constant Field Values

### CONFIGNAME

static final String CONFIGNAME

See Also:
  - Constant Field Values

### DOC_ROUTER

static final String DOC_ROUTER

See Also:
  - Constant Field Values

### SHARDS

static final String SHARDS

See Also:
  - Constant Field Values

### PER_REPLICA_STATE

static final String PER_REPLICA_STATE

See Also:
  - Constant Field Values